=== debian/control ===
Source: yt-dlp
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/yt-dlp/yt-dlp
Rules-Requires-Root: no
X-Python3-Version: >= 3.6
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flake8 <!nocheck>,
               pandoc,
               python3 (>= 3.6~),
               python3-nose <!nocheck>,
               python3-pkg-resources,
               python3-pycryptodome,
               python3-pytest,
               python3-setuptools,
               zip

Package: yt-dlp
Architecture: all
Depends: aria2 | wget | curl,
         ca-certificates,
         ffmpeg,
         python3-pkg-resources,
         python3-pycryptodome,
         python3-pyxattr,
         rtmpdump,
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpv | mplayer
Suggests: libfribidi-bin | bidiv, phantomjs
Provides: youtube-dl
Replaces: youtube-dl
Breaks: youtube-dl (<< 2021.07)
Description: youtube-dl fork with additional features and fixes
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
