=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = yt_dlp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make

#	mv Makefile Makefile.inactive

#	rm yt_dlp

override_dh_clean:
#	test -f Makefile || mv Makefile.inactive Makefile
	make clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make offlinetest PYTHON=python3
endif
