=== debian/changelog ===
yt-dlp (2021.10.22-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 02 Nov 2021 09:46:16 +1300

youtube-dl (2021.04.07-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Apr 2021 20:27:09 -0400

youtube-dl (2021.03.25-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 26 Mar 2021 17:33:56 -0400

youtube-dl (2021.02.10-1) unstable; urgency=medium

  * New upstream version 2021.02.10.
  * debian/patches/0002... : Use URL instead of only bug number.
  * debian/control: Update list of extractors (and indicate those broken).
  * debian/README.source: Add one-liner to create list of extractors.

 -- Rogério Brito <rbrito@gmail.com>  Sat, 13 Feb 2021 11:23:06 -0300

youtube-dl (2021.02.04.1-1) unstable; urgency=medium

  * New upstream version 2021.02.04.1. Closes: #979539.
    + Lots of improvements to the core functionality (besides better
      extractors), including robustness for downloads from YouTube. Alas,
      this was achieved by changing to DASH downloads and external/faster
      downloaders (like aria2c or wget) won't get as much use. :(
  * debian/patches: Readapt patches to fix FTBFS.
  * debian/copyright: Extend my copyright years.
  * Update my email address. So long, @ime.usp.br.  It was a pleasure
    using it for over 1/4 of a century. ☹ I wish that I could use it
    indefinitely. Now, I'm looking for a new, "permanent" home.

 -- Rogério Brito <rbrito@gmail.com>  Thu, 04 Feb 2021 20:59:47 -0300

youtube-dl (2021.01.08-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove redundant uupdate from d/watch to make it compatible with
    routine-update
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:57:28 +0100

youtube-dl (2020.11.29-1) unstable; urgency=medium

  * New upstream version 2020.11.29.
    + Many improvements to the core library, additional/better support to
      YouTube (including metatada and license for music videos), and
      assorted misc sites.
  * debian/rules: Declare compliance with policy 4.5.1.
  * debian/README.source: Update to ease copy-n-past'ability.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 01 Dec 2020 03:57:13 -0300

youtube-dl (2020.11.21.1-1) unstable; urgency=medium

  * New upstream version 2020.11.21.1.
    + Fixes many infrastructural problems in the core of the module, fixes
      extraction of names from youtube playlists and fixes support for other
      sites. Also, Closes: #972284 (probably the previous version already
      had fixes for this).
  * debian/control: Remove libav-tools alternative of ffmpeg.
    (Closes: #768793)
  * debian/patches:
     + Regenerate from patch-queue.
     + Add patch to disable code-style checks when running tests.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 22 Nov 2020 20:35:11 -0300

youtube-dl (2020.11.12-1) unstable; urgency=medium

  * New upstream version 2020.11.12. Closes: #973575.
    + Fixes problems with YouTube (and a few other sites).
      Closes: #972727, #973842.
  * debian/control: Update list of extractors.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 16 Nov 2020 17:03:36 -0300

youtube-dl (2020.09.20-1) unstable; urgency=medium

  * New upstream version 2020.09.20.
    + More carefully imported than general, since the upstream repository
      (and my fork of it, BTW) were taken down. The signature of the
      original tarball failed to verify said tarball and this required more
      attention/auditing than usual to import the changes to protect our
      fellow Debian users (I'm also a user after all!).
    + Fixes a few problems with sites in general.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 25 Oct 2020 12:54:08 -0300

youtube-dl (2020.09.14-1) unstable; urgency=medium

  * New upstream version 2020.09.14.
    + Fixes problems with YouTube and downloads from Google Drive.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 13 Sep 2020 21:30:13 -0300

youtube-dl (2020.07.28-1) unstable; urgency=medium

  * New upstream version 2020.07.28
    + Fixes problems with some playlists from YouTube (among other things).
  * debian/control: Update list of supported sites.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 10 Aug 2020 13:56:03 -0300

youtube-dl (2020.06.16.1-1) unstable; urgency=medium

  * New upstream version 2020.06.16.1
    + Fixes problems with some metadata from YouTube.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 17 Jun 2020 18:22:20 -0300

youtube-dl (2020.06.16-1) unstable; urgency=medium

  * New upstream version 2020.06.16.
    + Fixes problems when downloading YouTube playlists.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 15 Jun 2020 17:14:11 -0300

youtube-dl (2020.05.08-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.

  [ Rogério Brito ]
  * New upstream version 2020.05.08
  * debian/control: Upgrade debhelper-compat to 13.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 13 May 2020 15:37:41 -0300

youtube-dl (2020.03.24-1) unstable; urgency=medium

  [ Unit 193 ]
  * debian/patches:
    + disable-autoupdate-mechanism.patch: Extend to clean up errant import
      and README clobber on clean.
    + disable_more_online_tests.patch: Disable remaining tests that require
      internet.
  * debian/control:
    + Build-depend on flake8 and python3-nose.
  * debian/rules:
    + Drop makefile mangling
    + Run offline tests.

  [ Rogério Brito ]
  * New upstream version 2020.03.24 (Closes: #950163, #954875)
  * debian/patches:
    + Add patch to skip style checks from flake8 during test.
  * debian/control:
    + State compliancy with policy 4.5.0 (no further changes needed).

