=== debian/control ===
Source: yt-dlp
Maintainer: Rogério Brito <rbrito@gmail.com>
Section: web
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 flake8 <!nocheck>,
 pandoc,
 python3-nose <!nocheck>,
 python3-pkg-resources,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/rbrito/pkg-youtube-dl
Vcs-Git: https://github.com/rbrito/pkg-youtube-dl.git
Homepage: https://ytdl-org.github.io/youtube-dl/

Package: yt-dlp
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 20min,
 220.ro,
 23video,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 ADN,
 AdobeConnect,
 adobetv,
 adobetv:channel,
 adobetv:embed,
 adobetv:show,
 adobetv:video,
 AdultSwim,
 aenetworks,
 aenetworks:collection,
 aenetworks:show,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 Amara,
 AMCNetworks,
 AmericasTestKitchen,
 AmericasTestKitchenSeason,
 anderetijden,
 AnimeOnDemand,
 Anvato,
 aol.com,
 APA,
 Aparat,
 AppleConnect,
 AppleDaily,
 ApplePodcasts,
 appletrailers,
 appletrailers:section,
 archive.org,
 ArcPublishing,
 ARD,
 ARD:mediathek,
 ARDBetaMediathek,
 Arkena,
 arte.sky.it,
 ArteTV,
 ArteTVEmbed,
 ArteTVPlaylist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 BaiduVideo,
 Bandcamp,
 Bandcamp:album,
 Bandcamp:weekly,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 BBVTV,
 Beatport,
 Beeg,
 BehindKink,
 Bellator,
 BellMedia,
 Bet,
 bfi:player,
 bfmtv,
 bfmtv:article,
 bfmtv:live,
 BibelTV,
 Bigflix,
 Bild,
 BiliBili,
 BilibiliAudio,
 BilibiliAudioAlbum,
 BiliBiliPlayer,
 BioBioChileTV,
 Biography,
 BIQLE,
 BitChute,
 BitChuteChannel,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 BongaCams,
 BostonGlobe,
 Box,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 BRMediathek,
 bt:article,
 bt:vestlendingen,
 BusinessInsider,
 BuzzFeed,
 BYUtv,
 Camdemy,
 CamdemyFolder,
 CamModels,
 CamTube,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:olympics,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 CBSLocalArticle,
 cbsnews,
 cbsnews:embed,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CeskaTelevizePorady,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 cielotv.it,
 Cinchcast,
 Cinemax,
 CiscoLiveSearch,
 CiscoLiveSession,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 CloudflareStream,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNBCVideo,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComedyCentral,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 CONtv,
 Corus,
 Coub,
 Cracked,
 Crackle,
 CrooksAndLiars,
 crunchyroll,
 crunchyroll:playlist,
 CSpan,
 CtsNews,
 CTV,
 CTVNews,
 cu.ntv.co.jp,
 Culturebox,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryVR,
 Disney,
 dlive:stream,
 dlive:vod,
 Dotsub,
 DouyuShow,
 DouyuTV,
 DPlay,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 DTube,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 egghead:lesson,
 ehftv,
 eHow,
 EinsUndEinsTV,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 Europa,
 EWETV,
 ExpoTV,
 Expressen,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 filmon,
 filmon:channel,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 FOX9News,
 Foxgay,
 foxnews,
 foxnews:article,
 FoxSports,
 france2.fr:generation-what,
 FranceCulture,
 FranceInter,
 FranceTV,
 FranceTVEmbed,
 francetvinfo.fr,
 FranceTVJeunesse,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 FrontendMasters,
 FrontendMastersCourse,
 FrontendMastersLesson,
 FujiTVFODPlus7,
 Funimation,
 Funk,
 Fusion,
 Fux,
 Gaia,
 GameInformer,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 GlattvisionTV,
 Glide,
 Globo,
 GloboArticle,
 Go,
 GodTube,
 Golem,
 google:podcasts,
 google:podcasts:feed,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 hbo,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 hgtv.com:show,
 HiDive,
 HistoricFilms,
 history:player,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 hketv,
 HornBunny,
 HotNewHipHop,
 hotstar,
 hotstar:playlist,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hungama,
 HungamaSong,
 Hypem,
 ign.com,
 IGNArticle,
 IGNVideo,
 IHeartRadio,
 iheartradio:podcast,
 imdb,
 imdb:list,
 Imgur,
 imgur:album,
 imgur:gallery,
 Ina,
 Inc,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:tag,
 instagram:user,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ITVBTCC,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 JWPlatform,
 Kakao,
 Kaltura,
 Kankan,
 Karaoketv,
 KarriereVideos,
 Katsomo,
 KeezMovies,
 Ketnet,
 khanacademy,
 khanacademy:unit,
 KickStarter,
 KinjaEmbed,
 KinoPoisk,
 KonserthusetPlay,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 lbry,
 lbry:channel,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Lecture2Go,
 Lecturio,
 LecturioCourse,
 LecturioDeCourse,
 LEGO,
 Lemonde,
 Lenta,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LineTV,
 linkedin:learning,
 linkedin:learning:course,
 LinuxAcademy,
 LiTV,
 LiveJournal,
 LiveLeak,
 LiveLeakEmbed,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 mailru,
 mailru:music,
 mailru:music:search,
 MallTV,
 mangomolo:live,
 mangomolo:video,
 ManyVids,
 Markiza,
 MarkizaPage,
 massengeschmack.tv,
 MatchTV,
 MDR,
 MedalTV,
 media.ccc.de,
 media.ccc.de:lists,
 Medialaan,
 Mediaset,
 Mediasite,
 MediasiteCatalog,
 MediasiteNamedCatalog,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 mewatch,
 Mgoon,
 MGTV,
 MiaoPai,
 minds,
 minds:channel,
 minds:group,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:user,
 MLB,
 Mms,
 Mnet,
 MNetTV,
 MoeVideo,
 Mofosex,
 MofosexEmbed,
 Mojvideo,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv:video,
 mtvjapan,
 mtvservices:embedded,
 MTVUutisetArticle,
 MuenchenTV,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MyChannels,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 MyVidster,
 MyviEmbed,
 MyVisionTV,
 n-tv.de,
 natgeo:video,
 NationalGeographicTV,
 Naver,
 NBA,
 nba:watch,
 nba:watch:collection,
 NBAChannel,
 NBAEmbed,
 NBAWatchEmbed,
 NBC,
 NBCNews,
 nbcolympics,
 nbcolympics:stream,
 NBCSports,
 NBCSportsStream,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 NetPlus,
 Netzkino,
 Newgrounds,
 NewgroundsPlaylist,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 nfl.com (CURRENTLY BROKEN),
 nfl.com:article (CURRENTLY BROKEN),
 NhkVod,
 NhkVodProgram,
 nhl.com,
 nick.com,
 nick.de,
 nickelodeon:br,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NJPWWorld,
 NobelPrize,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 NovaEmbed,
 nowness,
 nowness:playlist,
 nowness:series,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKRadioPodkast,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisode,
 NRKTVEpisodes,
 NRKTVSeason,
 NRKTVSeries,
 NRLTV,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NYTimesCooking,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 onet.tv:channel,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 OraTV,
 orf:burgenland,
 orf:fm4,
 orf:fm4:story,
 orf:iptv,
 orf:kaernten,
 orf:noe,
 orf:oberoesterreich,
 orf:oe1,
 orf:oe3,
 orf:salzburg,
 orf:steiermark,
 orf:tirol,
 orf:tvthek,
 orf:vorarlberg,
 orf:wien,
 OsnatelTV,
 OutsideTV,
 PacktPub,
 PacktPubCourse,
 pandora.tv,
 ParamountNetwork,
 parliamentlive.tv,
 Patreon,
 pbs,
 PearVideo,
 PeerTube,
 People,
 PerformGroup,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Picarto,
 PicartoVod,
 Piksel,
 Pinkbike,
 Pinterest,
 PinterestCollection,
 Pladform,
 Platzi,
 PlatziCourse,
 play.fm,
 player.sky.it,
 PlayPlusTV,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 Popcorntimes,
 PopcornTV,
 PornCom,
 PornerBros,
 PornHd,
 PornHub,
 PornHubPagedVideoList,
 PornHubUser,
 PornHubUserVideosUpload,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 prosiebensat1,
 puhutv,
 puhutv:serie,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 QuantumTV,
 Qub,
 Quickline,
 QuicklineLive,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 radiocanada:audiovideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RayWenderlich,
 RayWenderlichCourse,
 RBMARadio,
 RDS,
 RedBull,
 RedBullEmbed,
 RedBullTV,
 RedBullTVRrnContent,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 rtl2,
 rtl2:you,
 rtl2:you:series,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 RTVS,
 RUHD,
 RumbleEmbed,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 rutube:playlist,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 safari:api,
 safari:course,
 SAKTV,
 SaltTV,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 ScrippsNetworks,
 scrippsnetworks:watch,
 SCTE,
 SCTECourse,
 Seeker,
 SenateISVP,
 SendtoNews,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShowRoomLive,
 Sina,
 sky.it,
 sky:news,
 sky:sports,
 sky:sports:news,
 skyacademy.it,
 SkylineWebcams,
 skynewsarabia:article,
