=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://github.com/yt-dlp/yt-dlp/releases \
     (?:.*?/)?(\d[\d.]*)\.tar\.gz
