## yt-dlp 2021.11.10.1

=== debian/changelog ===
yt-dlp (2021.11.10.1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Break, replace, and provide youtube-dl, plus symlink it to yt-dlp.
  * Make all recommended packages explicit dependencies except for mpv/mplayer.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Nov 2021 11:33:00 -0800

yt-dlp (2021.11.10.1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Wed, 10 Nov 2021 01:32:04 -0500

yt-dlp (2021.10.22-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Sat, 23 Oct 2021 22:03:30 -0400

yt-dlp (2021.10.10-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@unit193.net>  Sun, 10 Oct 2021 01:03:44 -0400

yt-dlp (2021.09.25-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Sat, 25 Sep 2021 12:23:46 -0400

yt-dlp (2021.09.02-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Wed, 01 Sep 2021 22:29:06 -0400

yt-dlp (2021.08.10-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@unit193.net>  Tue, 10 Aug 2021 23:08:59 -0400

yt-dlp (2021.08.02-0vanir1) unstable; urgency=medium

  * Package fork of youtube-dl, yt-dlp.

 -- Unit 193 <unit193@unit193.net>  Mon, 09 Aug 2021 03:16:13 -0400

youtube-dl (2021.06.06-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 07 Jun 2021 13:58:50 -0400

youtube-dl (2021.05.16-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Sun, 16 May 2021 23:33:01 -0400

youtube-dl (2021.04.26-1) experimental; urgency=medium

  * New upstream version
  * Point VCS fields to Salsa, where packaging will happening now

 -- Andreas Tille <tille@debian.org>  Thu, 13 May 2021 06:49:48 +0200

youtube-dl (2021.02.10-2) experimental; urgency=medium

  * Taking over this package in silent remembrance to Rogério de Brito
  * debian/README.source
     - Remove redundant parts and now outdated parts
     - Mention the loss of Rogério

 -- Andreas Tille <tille@debian.org>  Sat, 08 May 2021 20:55:55 +0200

youtube-dl (2021.04.26-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 25 Apr 2021 21:47:32 -0400

youtube-dl (2021.04.17-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 17 Apr 2021 05:03:24 -0400

youtube-dl (2021.04.07-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 06 Apr 2021 18:23:34 -0400

youtube-dl (2021.04.01-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 31 Mar 2021 22:31:30 -0400

youtube-dl (2021.03.25-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Mar 2021 05:50:20 -0400

youtube-dl (2021.03.14-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 14 Mar 2021 20:50:14 -0400

youtube-dl (2021.03.03-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Mar 2021 04:15:16 -0500

youtube-dl (2021.03.02-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 01 Mar 2021 23:29:54 -0500

youtube-dl (2021.02.22-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Mon, 22 Feb 2021 18:20:12 -0500

youtube-dl (2021.02.10-0vanir1) unstable; urgency=medium

  * New upstream release.
  * Merge from Debian, remaining changes:
    - d/rules:
      + Add a makefile target to update supported sites in d/control.
      + Clean CONTRIBUTING.md after build.
    - d/watch: Re-add uupdate option.

 -- Unit 193 <unit193@debian.org>  Wed, 10 Feb 2021 17:37:02 -0500

youtube-dl (2021.02.04.1-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Feb 2021 04:22:12 -0500

youtube-dl (2021.01.24.1-0vanir1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Sun, 24 Jan 2021 19:46:10 -0500

youtube-dl (2021.01.16-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 17 Jan 2021 20:39:54 -0500

youtube-dl (2021.01.08-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 11 Jan 2021 06:29:30 -0500

youtube-dl (2021.01.03-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 03 Jan 2021 13:56:59 -0500

youtube-dl (2020.12.31-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Thu, 31 Dec 2020 02:53:34 -0500

youtube-dl (2020.12.26-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 26 Dec 2020 16:03:12 -0500

youtube-dl (2020.12.22-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 22 Dec 2020 15:18:47 -0500

youtube-dl (2020.12.14-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sun, 13 Dec 2020 21:08:56 -0500

youtube-dl (2020.12.12-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 12 Dec 2020 14:37:32 -0500
